# DynamicHMCModels


| **Project Status**                                                               |  **Documentation**                                                               | **Build Status**                                                                                |
|:-------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------:|
|![][project-status-img] | [![][docs-stable-img]][docs-stable-url] [![][docs-dev-img]][docs-dev-url] | [![][travis-img]][travis-url] |

## Introduction

This package contains Julia versions of the mcmc models contained in the R package "rethinking" associated with the book [Statistical Rethinking](https://xcelab.net/rm/statistical-rethinking/) by Richard McElreath. It is part of the [StatisticalRethinkingJulia](https://github.com/StatisticalRethinkingJulia) Github organization of packages.

This package implements the models using [DynamicHMC](https://github.com/tpapp/DynamicHMC.jl).

## Note

Converted to DynamicHMC 2.0

## Acknowledgements

Tamas Papp has been very helpful during the development og the DynamicHMC versions of the models.

## Questions and issues

Question and contributions are very welcome, as are feature requests and suggestions. Please open an [issue][issues-url] if you encounter any problems or have a question.

[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://statisticalrethinkingjulia.github.io/DynamicHMCModels.jl/latest

[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://statisticalrethinkingjulia.github.io/DynamicHMCModels.jl/stable

[travis-img]: https://travis-ci.com/StatisticalRethinkingJulia/DynamicHMCModels.jl.svg?branch=master
[travis-url]: https://travis-ci.com/StatisticalRethinkingJulia/DynamicHMCModels.jl

[codecov-img]: https://codecov.io/gh/StatisticalRethinkingJulia/DynamicHMCModels.jl/branch/master/graph/badge.svg
[codecov-url]: https://codecov.io/gh/StatisticalRethinkingJulia/DynamicHMCModels.jl

[issues-url]: https://github.com/StatisticalRethinkingJulia/DynamicHMCModels.jl/issues

[project-status-img]: https://img.shields.io/badge/lifecycle-wip-orange.svg

